# Migrate Media Handler

## Introduction

Moving files from Drupal 7 to Drupal 8 is a long, complicated process. This module simplifies the process by providing process plugin to handle common media migration tasks. 

## How it works

Two process plugins are provided: _Inline Media Handler_, and _Update File to Media_.

### Inline Media Handler
This plugin is designed to parse rich text blocks for existing `<img>` tags and `<a href>` tags referencing documents (pdf, etc) and turn them into entity reference notation.
```yml
field_body:
    plugin: inline_media_handler
    source: body
    tags:
        - img
        - href
```
### Update File to Media
This plugin is designed to help you easily update file fields to media entity reference fields. It works in concert with the core Migration Lookup plugin.
```yml
field_image:
    -
        plugin: migration_lookup
        source: field_old_image
        migration: example_file
        no_stub: true
    -
        plugin: update_file_to_media
        source_field: field_old_image
```
